Bug 1133124 - LTO: flatpak build fails
LTO: flatpak build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks: 1133084
  Show dependency treegraph
 
Reported: 2019-04-23 14:40 UTC by Martin Liška
Modified: 2021-04-09 04:18 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2019-04-23 14:40:51 UTC
Fails due to gobject-introspection tool.

It's a more common issue:
https://en.opensuse.org/openSUSE:LTO#GObject_Introspection
Comment 1 Swamp Workflow Management 2019-04-30 10:30:23 UTC
This is an autogenerated message for OBS integration:
This bug (1133124) was mentioned in
https://build.opensuse.org/request/show/699591 Factory / flatpak
Comment 2 Martin Liška 2020-12-16 09:11:19 UTC
Fixed in devel project.
Comment 6 Swamp Workflow Management 2021-04-07 16:15:41 UTC
SUSE-SU-2021:1094-1: An update that solves one vulnerability, contains one feature and has three fixes is now available.

Category: security (important)
Bug References: 1133120,1133124,1175899,1180996
CVE References: CVE-2021-21261
JIRA References: SLE-7171
Sources used:
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    flatpak-1.10.2-4.6.1, libostree-2020.8-3.3.2, xdg-desktop-portal-1.8.0-5.3.2, xdg-desktop-portal-gtk-1.8.0-3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP2 (src):    libostree-2020.8-3.3.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2021-04-09 04:18:55 UTC
openSUSE-SU-2021:0520-1: An update that solves one vulnerability and has three fixes is now available.

Category: security (important)
Bug References: 1133120,1133124,1175899,1180996
CVE References: CVE-2021-21261
JIRA References: 
Sources used:
openSUSE Leap 15.2 (src):    flatpak-1.10.2-lp152.3.6.1, libostree-2020.8-lp152.2.3.1, xdg-desktop-portal-1.8.0-lp152.4.3.1, xdg-desktop-portal-gtk-1.8.0-lp152.2.3.1